Skip to content

Update the user generated content attachment settings for your program

Request

Toggles which attachment types (images, videos, files, links) users may attach when submitting user generated content in your program.

Security
oauth2_as_a_user(Required scopes: content.write) or oauth2_as_a_server(Required scopes: content.write)
Bodyapplication/json

Attachment settings to update. Only the provided fields are changed. At least one must be provided.

non-empty
images_enabledboolean

Whether users can attach images when submitting user generated content. Enabled by default.

Example:true
videos_enabledboolean

Whether users can attach videos when submitting user generated content. Enabled by default.

Example:true
files_enabledboolean

Whether users can attach files when submitting user generated content. Enabled by default.

Example:true
curl -i -X PATCH \
  https://partner.socialchorus.com/v2/settings/user_generated_content \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "images_enabled": true,
    "videos_enabled": true,
    "files_enabled": true,
    "links_enabled": true
  }'

Responses

Updated

Bodyapplication/json
dataobject(Programs.UserGeneratedContentSettings.Resource)required
Response
{ "data": { "images_enabled": true, "videos_enabled": true, "files_enabled": true, "links_enabled": true } }